HeaderRef
Date: 2013-03-24

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.common.searchservice.searchlibrary.resultset.elements
Class HeaderRef

    java.lang.Object
      org.gcube.common.searchservice.searchlibrary.resultset.elements.HeaderRef

    public class HeaderRef

extends java.lang.Object

Placeholder for information on a header part

Author:
  UoA

Constructor Summary
`HeaderRef(java.lang.String localName, java.lang.String prev)` Creates a new `HeaderRef`
`HeaderRef(java.lang.String isHead, java.lang.String localName, java.lang.String prev, java.lang.String next)` Creates a new `HeaderRef`

Method Summary
`java.lang.String` | `getIsHead()` Retrieves the is Head property
`java.lang.String` | `getLocalName()` Retrieves the name of the file that holds this header
`java.lang.String` | `getNext()` Retrieves the name of the file that holds the next header
`java.lang.String` | `getPrev()` Retrieves the name of the file that holds the previous header
`void` | `setIsHead(java.lang.String isHead)` Sets the isHead propety
`void` | `setLocalName(java.lang.String localName)` Sets the name of the file that holds this header
`void` | `setNext(java.lang.String next)` Sets the name of the file that holds the next header
`void` | `setPrev(java.lang.String prev)` Sets the name of the file that holds the previous header

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HeaderRef

    public HeaderRef(java.lang.String isHead,
                     java.lang.String localName,
                     java.lang.String prev,
                     java.lang.String next)

  Creates a new `HeaderRef`

  Parameters:
    `isHead` - Indicates if this is the head
    `localName` - The name of the file to hold the header
    `prev` - The previous header in the chain
    `next` - The next header in the chain

### HeaderRef

    public HeaderRef(java.lang.String localName,
                     java.lang.String prev)

  Creates a new `HeaderRef`

  Parameters:
    `localName` - The name of the file to hold the header
    `prev` - The previous header in the chain

Method Detail

### getIsHead

    public java.lang.String getIsHead()

  Retrieves the is Head property

  Returns:
    Teh ishead property

### setIsHead

    public void setIsHead(java.lang.String isHead)

  Sets the isHead propety

  Parameters:
    `isHead` - The value to set

### getLocalName

    public java.lang.String getLocalName()

  Retrieves the name of the file that holds this header

  Returns:
    The file name

### setLocalName

    public void setLocalName(java.lang.String localName)

  Sets the name of the file that holds this header

  Parameters:
    `localName` - The name of the file

### getNext

    public java.lang.String getNext()

  Retrieves the name of the file that holds the next header

  Returns:
    The name of the file

### setNext

    public void setNext(java.lang.String next)

  Sets the name of the file that holds the next header

  Parameters:
    `next` - The name of the file

### getPrev

    public java.lang.String getPrev()

  Retrieves the name of the file that holds the previous header

  Returns:
    The name of the file

### setPrev

    public void setPrev(java.lang.String prev)

  Sets the name of the file that holds the previous header

  Parameters:
    `prev` - The name of the file

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD